Subject: RE: [AVT] Ask open source information on RTP/RTSP

From: "Matthew Heaney" <[email-masked]>
Date: Tue, 18 Nov 2003 16:06:38 -0500

TrueCast uses RTSP to SETUP and PLAY multicast sessions.  We're in the
process of adding SAP support, but right now a client gets SDP info via
the DESCRIBE response.

> -----Original Message-----
> From: Marshall Eubanks [mailto:[email-masked]] 
> Sent: Tuesday, November 18, 2003 3:14 PM
> To: Ross Finlayson
> Cc: [email-masked]; [email-masked]
> Subject: Re: [AVT] Ask open source information on RTP/RTSP
> 
> 
> 
> On Tuesday, November 18, 2003, at 12:46 PM, Ross Finlayson wrote:
> 
> >
> >> Note that rtsp is not generally done with multicast.
> >
> > This, for some odd reason, is a common misconception about 
> RTSP.  But
> > it's incorrect.
> >
> > RTSP can also be used to play multicast streams.  It is an excellent
> > way for a player client to get the SDP information for an ongoing 
> > multicast stream - as an alternative to having the player 
> client read 
> > a local ".sdp" file (for example).
> >
> > (See, for example, section 14.4 in RFC 2326.)
> >
> > People may be confused by the fact that (i) RTSP is not *necessary*
> > for playing multicast streams (because a client could, 
> instead, just 
> > read a local ".sdp" file), and (ii) Apple's "Darwin 
> Streaming Server" 
> > does not serve multicast streams via RTSP.  (OTOH, Apple's 
> QuickTime 
> > Player can play multicast RTSP/RTP streams just fine.)
> >
> 
> I agree with you - I believe that RTSP was developed for multicast.
> However, neither Darwin nor Helix will serve this (at least, the last 
> time
> I checked this) - and RealOne won't play them.
> 
> 
> >         Ross (who has developed several multicast applications that 
> > use RTSP).
> >
> >
> >
>                                   Regards
>                                   Marshall Eubanks
> 
> T.M. Eubanks
> e-mail : [email-masked]
> http://www.telesuite.com
> 
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt